function []=tl_plot(NDEP,NRNG,tl,rkm,ZS,FREQ,zr,case_name)
% Plot transmisson loss at a representative reciever
NR=ceil(NDEP/2);
tl_NR=tl(NR,1:NRNG);
rmin=min(rkm);
rmax=max(rkm);
dbmin=min(tl_NR);
dbmax=max(tl_NR);
right = rmax - (rmax-rmin)/4.0;
upf = dbmin + (dbmax-dbmin)/24.0;
ups = dbmin + (dbmax-dbmin)/12.0;
upr = dbmin + (dbmax-dbmin)/8.0;
plot(rkm,tl_NR)
axis 'ij'
xlim([rmin rmax]);
xlabel('Range (km)');
ylabel('Transmission Loss (dB)');
title(case_name);
%
src_text = sprintf('SD = %6.2f m', ZS);
frq_text = sprintf('F = %7.2f Hz',FREQ);
rcd_text = sprintf('RD = %6.2f m', zr(NR));
text(right,upf,frq_text);
text(right,ups,src_text);
text(right,upr,rcd_text);